<?=$this->partial('blocks-contentheader');?>


<!-- WIDGET SCROLLING -->
<div class="widget widget-scrolling">
    <div class="widget-header">
        <h3>Widget Scrolling - 需要加載 /misc/js/plugins/jquery-slimscroll/jquery.slimscroll.min.js </h3>
        <div class="widget-header-toolbar">
            <div class="label label-info">NEW</div>
        </div>
    </div>
    <div class="widget-content">
        <p>Holisticly e-enable sustainable strategic theme areas without robust core competencies. Efficiently revolutionize an expanded array of e-services before distinctive human capital. Proactively impact error-free manufactured products vis-a-vis robust infomediaries. Quickly productivate emerging infomediaries rather than granular action items. Rapidiously actualize client-centric intellectual capital and inexpensive partnerships.</p>
        <p>Assertively pursue prospective infrastructures and backend infomediaries. Assertively re-engineer flexible methods of empowerment with integrated applications. Competently.</p>
        <p>Holisticly e-enable sustainable strategic theme areas without robust core competencies. Efficiently revolutionize an expanded array of e-services before distinctive human capital. Proactively impact error-free manufactured products vis-a-vis robust infomediaries. Quickly productivate emerging infomediaries rather than granular action items. Rapidiously actualize client-centric intellectual capital and inexpensive partnerships.</p>
        <p>Holisticly e-enable sustainable strategic theme areas without robust core competencies. Efficiently revolutionize an expanded array of e-services before distinctive human capital. Proactively impact error-free manufactured products vis-a-vis robust infomediaries. Quickly productivate emerging infomediaries rather than granular action items. Rapidiously actualize client-centric intellectual capital and inexpensive partnerships.</p>
        <p>Holisticly e-enable sustainable strategic theme areas without robust core competencies. Efficiently revolutionize an expanded array of e-services before distinctive human capital. Proactively impact error-free manufactured products vis-a-vis robust infomediaries. Quickly productivate emerging infomediaries rather than granular action items. Rapidiously actualize client-centric intellectual capital and inexpensive partnerships.</p>
        <p>Holisticly e-enable sustainable strategic theme areas without robust core competencies. Efficiently revolutionize an expanded array of e-services before distinctive human capital. Proactively impact error-free manufactured products vis-a-vis robust infomediaries. Quickly productivate emerging infomediaries rather than granular action items. Rapidiously actualize client-centric intellectual capital and inexpensive partnerships.</p>
    </div>
</div>

<script>
$(function(){
    //*******************************************
    /*  WIDGET SLIM SCROLL
    /********************************************/
    if( $('.widget-scrolling').length > 0) {
        $('.widget-scrolling .widget-content').slimScroll({
            height: '410px',
            wheelStep: 5,
        });
    }
});
</script>
<!-- END WIDGET SCROLLING -->


<!-- WIDGET TABBED CONTENT -->
<div class="widget">
<div class="widget-header">
    <h3>Tabbed Widget Content</h3>
    <ul class="nav nav-tabs pull-right">
        <li class="active"><a href="#tab1" data-toggle="tab"><i class="fa fa-user"></i> Tab 1</a></li>
        <li><a href="#tab2" data-toggle="tab"><i class="fa fa-gear"></i> Tab 2</a></li>
    </ul>
</div>
<div class="widget-content">
    <div class="tab-content no-padding">
        <div class="tab-pane fade in active" id="tab1">
            Objectively repurpose superior content for extensible outsourcing. Objectively underwhelm future-proof technology rather than diverse architectures. Conveniently simplify flexible models with open-source functionalities. Authoritatively formulate world-class outsourcing.
        </div>
        <div class="tab-pane fade" id="tab2">
            Professionally maximize unique portals whereas out-of-the-box interfaces. Monotonectally optimize B2C communities through high-payoff methods of empowerment. Enthusiastically transition intermandated value whereas multidisciplinary portals. Credibly recaptiualize ethical ROI without stand-alone deliverables. Progressively extend progressive networks for one-to-one process improvements. Distinctively underwhelm resource sucking products and market-driven meta-services. Uniquely target granular bandwidth through compelling customer service. Dramatically mesh parallel initiatives.
        </div>
    </div>
</div>
</div>
<!-- END WIDGET TABBED CONTENT -->


<section class="row">
    <aside class="col-sm-9">
        <div class="alert alert-danger">col-sm-9視窗元件</div>
        <p>
            <button type="button" class="btn btn-default"><i class="fa fa-plus-square"></i> Default </button>
            <button type="button" class="btn btn-primary"><i class="fa fa-refresh"></i> Primary</button>
            <button type="button" class="btn btn-info"><i class="fa fa-info-circle"></i> Info</button>
            <button type="button" class="btn btn-primary" disabled="disabled"><i class="fa fa-refresh fa-spin"></i> Refreshing...</button>
        </p>

        <div class="btn-group">
            <button type="button" class="btn btn-primary btn-md">Primary</button>
            <button type="button" class="btn btn-primary btn-md dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><span class="caret"></span><span class="sr-only">Toggle Dropdown</span></button>
            <ul class="dropdown-menu" role="menu">
                <li class="dropdown-header">Dropdown Header</li>
                <li><a href="#">Action</a></li>
                <li class="disabled"><a href="#">Disabled link</a></li>
                <li><a href="#">Something else here</a></li>
                <li class="divider"></li>
                <li class="dropdown-header">Dropdown Header</li>
                <li><a href="#">Separated link</a></li>
            </ul>
        </div>

        <div class="btn-group">
            <button type="button" class="btn btn-danger btn-md"><i class="fa fa-bolt"></i> Danger</button>
            <button type="button" class="btn btn-danger btn-md dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><span class="caret"></span><span class="sr-only">Toggle Dropdown</span></button>
            <ul class="dropdown-menu" role="menu">
                <li class="dropdown-header">Dropdown Header</li>
                <li><a href="#">Action</a></li>
                <li class="disabled"><a href="#">Disabled link</a></li>
                <li><a href="#">Something else here</a></li>
                <li class="divider"></li>
                <li class="dropdown-header">Dropdown Header</li>
                <li><a href="#">Separated link</a></li>
            </ul>
        </div>

        <br>

        <div class="btn-group">
            <button type="button" class="btn btn-primary">Button 1</button>
            <button type="button" class="btn btn-primary">Button 2</button>
            <div class="btn-group">
                <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">Others <span class="caret"></span></button>
                <ul class="dropdown-menu">
                    <li><a href="#">Dropdown link</a></li>
                    <li><a href="#">Dropdown link</a></li>
                </ul>
            </div>
        </div>


    </aside>
    <aside class="col-sm-3">
        <div class="alert alert-danger">col-sm-3視窗元件</div>
        <!-- MODAL DIALOG -->
        <div class="widget">
            <div class="widget-header">
                <h3>Modal Dialog</h3>
            </div>
            <div class="widget-content">
                <button class="btn btn-primary btn-lg" data-toggle="modal" data-target="#myModal">Launch demo modal</button>
                <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                                <h4 class="modal-title" id="myModalLabel">Modal title</h4>
                            </div>
                            <div class="modal-body">
                                <p>Modal dialog content...</p>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-default" data-dismiss="modal"><i class="fa fa-times-circle"></i> Close</button>
                                <button type="button" class="btn btn-custom-primary"><i class="fa fa-check-circle"></i> Save changes</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- END MODAL DIALOG -->
    </aside>

    <aside class="col-sm-6">
        <div class="alert alert-danger">分割型視窗元件</div>
        <!-- TOOLTIPS -->
        <div class="widget">
            <div class="widget-header">
                <h3>Tooltips</h3>
            </div>
            <div class="widget-content">
                <div class="demo-tooltip">
                    <button type="button" class="btn btn-primary btn-sm" data-toggle="tooltip" data-placement="left" data-original-title="Tooltip on left">Tooltip on left</button>
                    <button type="button" class="btn btn-primary btn-sm" data-toggle="tooltip" data-placement="top" data-original-title="Tooltip on top">Tooltip on top</button>
                    <button type="button" class="btn btn-primary btn-sm" data-toggle="tooltip" data-placement="bottom" data-original-title="Tooltip on bottom">Tooltip on bottom</button>
                    <button type="button" class="btn btn-primary btn-sm" data-toggle="tooltip" data-placement="right" data-original-title="Tooltip on right">Tooltip on right</button>
                </div>
                <br />
                <div class="demo-popover1">
                    <button type="button" id="popover-title" class="btn btn-block btn-warning" data-container="body" data-toggle="popover" data-placement="top">Popover With Title</button>
                    <button type="button" id="popover-hover" class="btn btn-block btn-warning" data-container="body" data-toggle="popover" data-placement="top">Popover On Hover</button>
                </div>
                <br />
                <div class="demo-popover2">
                    <button type="button" class="btn btn-default btn-sm" data-container="body" data-toggle="popover" data-placement="left" data-content="Vivamus sagittis lacus vel augue laoreet rutrum faucibus.">Popover on left</button>
                    <button type="button" class="btn btn-default btn-sm" data-container="body" data-toggle="popover" data-placement="top" data-content="Vivamus sagittis lacus vel augue laoreet rutrum faucibus.">Popover on top</button>
                    <button type="button" class="btn btn-default btn-sm" data-container="body" data-toggle="popover" data-placement="bottom" data-content="Vivamus sagittis lacus vel augue laoreet rutrum faucibus.">Popover on bottom</button>
                    <button type="button" class="btn btn-default btn-sm" data-container="body" data-toggle="popover" data-placement="right" data-content="Vivamus sagittis lacus vel augue laoreet rutrum faucibus.">Popover on right</button>
                </div>
            </div>
        </div>
        <!-- END TOOLTIPS -->
    </aside>
    <aside class="col-sm-6">
        <div class="alert alert-danger">一半視窗元件</div>

        <div class="widget">
            <div class="widget-header">
                <h3><i class="fa fa-edit"></i> Registration Form with Icons</h3>
            </div>
            <div class="widget-content">
                <form class="form-horizontal" role="form">
                    <div class="form-group">
                        <label for="username" class="control-label sr-only">Username</label>
                        <div class="col-sm-12">
                            <div class="input-group">
                                <input type="text" class="form-control" id="username" placeholder="Username">
                                <span class="input-group-addon"><i class="fa fa-user"></i></span>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="email" class="control-label sr-only">Email</label>
                        <div class="col-sm-12">
                            <div class="input-group">
                                <input type="email" class="form-control" id="email" placeholder="Email">
                                <span class="input-group-addon"><i class="fa fa-envelope"></i></span>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="password" class="control-label sr-only">Password</label>
                        <div class="col-sm-12">
                            <div class="input-group">
                                <input type="password" class="form-control" id="password" placeholder="Password">
                                <span class="input-group-addon"><i class="fa fa-lock"></i></span>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="password2" class="control-label sr-only">Repeat Password</label>
                        <div class="col-sm-12">
                            <div class="input-group">
                                <input type="password" class="form-control" id="password2" placeholder="Repeat Password">
                                <span class="input-group-addon"><i class="fa fa-lock"></i></span>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-12 fancy-checkbox">
                            <input type="checkbox">
                            <span>Subscribe me to the newsletter to get more about further deals</span>
                        </label>
                        <label class="col-sm-12 fancy-checkbox">
                            <input type="checkbox">
                            <span>I accept the <a href="#">Terms &amp; Agreement</a></span>
                        </label>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-12">
                            <button type="submit" class="btn btn-primary"><i class="fa fa-check-circle"></i> Create Account</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </aside>
</section>


<hr>

<div class="widget">
    <div class="widget-header">
        <h3>Alerts</h3>
    </div>
    <div class="widget-content">
        <div class="alert alert-success">
            <strong>Well done!</strong> You successfully read this important alert message.
        </div>
        <div class="alert alert-info alert-dismissable">
            <a href="" class="close">×</a>
            <strong>Heads up!</strong> This alert needs your attention, but it's not super important. You can close this alert message.
        </div>
        <div class="alert alert-warning alert-dismissable">
            <a href="" class="close">×</a>
            <strong>Warning!</strong> Best check yo self, you're not looking too good.
        </div>
        <div class="alert alert-danger alert-dismissable">
            <a href="" class="close">×</a>
            <strong>Oh snap!</strong> Change a few things up and try submitting again.
        </div>
    </div>
</div>


<div class="alert alert-info">物件列表型態一：應用在列表項目欄位複雜且需客製顯示，數據量大類型。</div>
<?=$this->partial('../default/table-datatable');?>

<div class="alert alert-info">物件列表型態二：應用在列表項目欄位適合支援直接修改的物件清單上。</div>
<?=$this->partial('../default/table-jgrid');?>
